<?php

use Imoje\Payment\Util;

/**
 * Class ModelExtensionPaymentImoje
 */
class ModelExtensionPaymentImoje extends Model
{
	/**
	 * @param $address
	 * @param $total
	 *
	 * @return array
	 */
	public function getMethod($address, $total)
	{

		$this->load->model('setting/setting');

		include_once(DIR_SYSTEM . '/library/Payment-core/src/Util.php');

		$this->language->load('extension/payment/imoje');
		$order_currency = $this->session->data['currency'];

		if(Util::canUseForCurrency($order_currency, ($this->config->get('payment_imoje_currencies')
				?: []))
			&& $this->config->get('payment_imoje_service_key')
			&& $this->config->get('payment_imoje_service_id')
			&& $this->config->get('payment_imoje_merchant_id')) {

			$paymentTitle = $this->config->get('payment_imoje_payment_title')
				?: $this->language->get('text_imoje_payment_title_default');

			return [
				'code'       => 'imoje',
				'title'      => $this->config->get('payment_imoje_sandbox') == 1
					? $paymentTitle . ' ' . $this->language->get('text_title_sandbox_enabled')
					: $paymentTitle,
				'terms'      => '',
				'sort_order' => $this->config->get('payment_imoje_sort_order'),
			];
		}

		return [];
	}
}
